//---------------------------------------------------------------------------

#ifndef SkinHintWindowH
#define SkinHintWindowH

//---------------------------------------------------------------------------

class TSkinHintWindow : public THintWindow
{
	bool FActivating;

	void __fastcall Paint(void);
	virtual void __fastcall NCPaint(HDC hdc);
	virtual void __fastcall CreateParams(TCreateParams &Params);
	virtual void __fastcall ActivateHint(const TRect &Rect, const String AHint);
public:
	__fastcall TSkinHintWindow(TComponent* Owner);
	__fastcall ~TSkinHintWindow();
	void __fastcall ShowHintWindow( const TPoint &Point, const String Ahint  );
};

#endif
